/* Navigation Bar */
#nav{
    padding: 10px;
    position: fixed;
    top: 0;
    width: 100%;
    height: 90px;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 4;
}
#nav span{
    position: fixed;
    right: 10px;
    top: 10px;
}
a, a:visited{
    color: var(--main-color);
}

.wp-block-embed-youtube {
    margin: 3rem 0;
}

.work-container{
    height: 200px;
    width: 100%;
    position: relative;
}

nav ul {
    list-style: none;
    padding: 0;
    margin-left: 0;
}
nav a:visited {
    color: #818181;
}
.hamburger{
    cursor: pointer;
    position: fixed;
    top: 20px;
    right: 10px;
    z-index: 5;
    width: 50px;
    height: 50px;
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(255,255,255, 1)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 8h24M4 16h24M4 24h24'/%3E%3C/svg%3E");
}
.logo{
    position: fixed;
    top: 10px;
    left: 10px;
    height: 70px;
    z-index: 5;
}
.navbar{
    position: fixed;
    top: 10px;
    right: 10px;
    z-index: 3;
}
/* The Overlay (background) */
.overlay {
  /* Height & width depends on how you want to reveal the overlay (see JS below) */
  height: 0;
  width: 100%;
  position: fixed; /* Stay in place */
  z-index: 99999; /* Sit on top */
  left: 0;
  top: 0;
  background-color: rgb(0,0,0); /* Black fallback color */
  background-color: rgba(0,0,0, 0.9); /* Black w/opacity */
  overflow-x: hidden; /* Disable horizontal scroll */
  transition: 0.5s; /* 0.5 second transition effect to slide in or slide down the overlay (height or width, depending on reveal) */
}

/* Position the content inside the overlay */
.overlay-content {
  position: relative;
  top: 25%; /* 25% from the top */
  width: 100vw; /* 100% width */
  text-align: center; /* Centered text/links */
  margin-top: 30px; /* 30px top margin to avoid conflict with the close button on smaller screens */
}

/* The navigation links inside the overlay */
.overlay a {
  padding: 8px;
  text-decoration: none;
  font-size: 36px;
  color: #818181;
  display: block; /* Display block instead of inline */
  transition: 0.3s; /* Transition effects on hover (color) */
}

/* When you mouse over the navigation links, change their color */
.overlay a:hover, .overlay a:focus {
  color: #f1f1f1;
}

/* Position the close button (top right corner) */
.overlay .closebtn {
  position: absolute;
  top: 20px;
  right: 45px;
  font-size: 60px;
}

/* When the height of the screen is less than 450 pixels, change the font-size of the links and position the close button again, so they don't overlap */
@media screen and (max-height: 450px) {
  .overlay a {font-size: 20px}
  .overlay .closebtn {
    font-size: 40px;
    top: 15px;
    right: 35px;
  }
}


/* Carousel */
#myCarousel{
    z-index: 4;
}

#myCarousel .carousel-inner{
    height: 100%;
}

#myCarousel .carousel-item{
    width: 100%;
    height: 100%;
}

#myCarousel .carousel-item img, #myCarousel .carousel-item video{
    object-position: center;
    object-fit: cover;
    width: 100%;
    max-height: 90vh
}

#myCarousel .carousel-caption{
    position: absolute;
    padding: 0;
    top: 50%;
    transform: translateY(-50%);
    bottom: initial;
}

#myCarousel .carousel-indicators li {
    position: relative;
    -webkit-box-flex: 0;
    -ms-flex: 0 1 auto;
    flex: 0 1 auto;
    width: 10px;
    height: 10px;
    border-radius: 50px;
    margin-right: 3px;
    margin-left: 3px;
    text-indent: -999px;
    background-color: rgba(255,255,255,.5);
}

#myCarousel .carousel-indicators .active {
    background-color: #fff;
    width: 12px;
    height: 12px;
}

/* CTA Card */
#cta-card{
    padding: 50px 0;
    box-shadow: 0px 5px 15px grey;
    z-index: 2;
    position: relative;
}
.cta-card .button{
    display: flex;
    align-items: center;
    justify-content: center;
}
.cta-card .btn{
    border-radius: 0;
    font-size: 1.5em;
    background-color: var(--main-color);
    border: none;
}

/* Services */
#services{
    padding: 50px 0;
    z-index:1;
}

#services img{
    width: 100%;
    height: 300px;
    object-fit: cover;
    margin-bottom: 20px;
}

#services .service{
    margin-bottom: 20px;
}
#services h2{
    text-align: center;
}

/* Blog */
#blog {
    padding: 50px 0;
}

#blog .content{
    margin-bottom: 20px;
}

/* Work */
#work {
    padding: 50px 0;
}

#work .content{
    margin-bottom: 20px;
}

#work img{
    width: 100%;
    height: 200px;
    object-fit: cover;
    margin-bottom: 20px;
}

#work .images {
    display: flex;
    flex-wrap: wrap;
}

#clients{
    padding: 50px 0;
}

#clients .slick-track{
    display: flex;
    max-height: 200px;
}
#clients .slick-track .slide {
  display: flex;
  height: auto;
  align-items: center;
  justify-content: center;
}
#clients img {

    max-height: 200px;
    max-width: 200px;
}

/* About Us */
#about{
    padding: 50px 0;
}

#about .main img{
    width: 100%;
    height: 300px;
    object-fit: cover;
}

#about .highlights img{
    width: 75px;
    height: 75px;
    object-fit: cover;
}

#about .highlights .image{
    text-align: center;
}
#about .highlights, #about .highlight .description{
    display: flex;
    align-items: center;
}
#about .highlights p{
    margin-bottom: 0;
}
#about .highlight{
    margin: 10px 0;
}

/* Map */
#google-map{
    width: 100%;
    left: 0;
    height: 400px;
}
.main #google-map{
    width: 100%;
    left: 0;
    height: 600px;
}

/* Contact */
#contact{
    padding: 50px 0;
}

/* Footer */
#footer{
    padding: 0 0 50px 0;
    background-color: #F0F0F0;
    position: relative;
    text-align: center;
    font-size: .8em;
}
#footer .copyright{
    position: absolute;
    width: 100%;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: var(--main-color);
    text-align: center;
    padding: 0;
    margin: 0;
}
#footer .copyright p{
    margin: 5px 0;
    padding: 0;
    color: white;
}
#footer .social-links img{
    width: 25px;
    height: 25px;
}
#footer .social-links a{
    margin: 0 10px;
}
#footer .social-links{
    margin-bottom: 20px;
}

#header{
    position: relative;
    z-index: 4;
    height: 70vh;

}

#header.blog {

    color: #000000;
}
#header.blog p{
    margin-top: 20px;
    margin-bottom: 0;
}

#header img{
    position: absolute;
    width: 100%;
    height: 70vh;
    object-fit: cover;
}

#header .card{
    background-color: white;
    text-align: center;
    z-index: 3;
    position: absolute;
    height: 200px;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
}
#map iframe {
    height: 600px !important;
    width: 100% !important;
}

#map-contact iframe{
    width: 100%;
}

.card.blog p{
    margin: 0;
    color: #707070;
}
.card.blog p:nth-child(2){
    margin-top: 15px;
}
.header h1, .header h2{
    text-align: center;
}

#content{
    padding: 50px 0;
}

.bottom-border{
    border-bottom: 10px solid var(--main-color);
}

.bottom-border-thin{
    border-bottom: 5px solid var(--main-color);
    padding-bottom: 15px;
    margin-bottom: 40px;
}

#header h1{
    padding: 0 15px 20px;
    border-bottom: 3px solid var(--main-color);
    margin-bottom: 50px
}

#error {
    padding-top: 10vh;
    height: 80vh;
    display: flex;
    align-items: center;
    justify-content: center;
}
#error .content{
    text-align: center;
}

h3.header{
    padding: 15px 20px;
    border-bottom: 3px solid var(--main-color);
}

.btn, .btn:active, .btn:hover{
    border-radius: 0px;
    border: 1px solid black;
    padding: 5px 30px;

}

.view-all .btn-primary, .view-all .btn-primary:active{
    background-color: white;
    color: #404040;
}
.view-all .btn-primary:hover{
    color: white;
}

.view-all.about{
    margin-top: 20px;
}

.btn.submit{
    border: none;
}
.btn-cta:hover{
    border: none !important;
}

.btn-primary:active, .btn-primary:hover{
    background-color: var(--main-color) !important;
}

.btn-primary.submit{
    background-color: var(--main-color);
    color: white;
}

.bg-alt{
    background-color: #F0F0F0;
}

body p{
    margin: 0 0 20px 0;
}

.blog-card{
    height: 200px;
    box-shadow: 0px 5px 15px grey;
    padding: 0;
}

.post-link {
    margin-bottom: 50px;
}
.post-link:last-child{
    margin-bottom: 0px;
}

.blog-card .details{
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}
.blog-card img{
    height: 200px !important;
}

.content p{
    text-align: center;
}

.post-link, .post-link:hover, .post-link:visited{
    color: #000000;
    text-decoration: none;
}

@media(max-width: 767px){
    .justify-content-md-center {
        -webkit-box-pack: center!important;
        -ms-flex-pack: center!important;
        justify-content: center!important;
    }
    #header .card{
        height: 150px;
    }
    .work-overlay{
        background-color: transparent;
        position: absolute;
        height: 200px;
        top: 0;
        left: 15px;
        right:15px;
        opacity: 0;
        color: white;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .work-overlay:hover{
        background-color: var(--main-color-transparent);
        opacity: .5;
        position: absolute;
        height: 200px;
        top: 0;
        left: 15px;
        right:15px;
        opacity: 1;
        transition: all 0.5s ease-out;
        text-align: center;
    }

}
@media(max-width: 991px){
    #about .description{
        justify-content: center;
        text-align: center;
    }
    #cta-card{
        text-align: center;
    }

    .blog-card .details{
        position:absolute;
        background-color: white;
        bottom: 0;
    }
    .blog-card .info h2{
        margin-top: 10px
    }
    .blog-card .info p{
        margin-bottom: 10px;
    }
    .work .images, .work .images img {
        margin-bottom: 15px !important;
    }
}
@media(min-width: 768px){
    .work .images, .work .images img {
        margin-bottom: 0 !important;
    }
    .work-overlay{
        background-color: transparent;
        position: absolute;
        height: 200px;
        top: 0;
        left: 15px;
        right:15px;
        opacity: 0;
        color: white;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .work-overlay:hover{
        background-color: var(--main-color-transparent);
        position: absolute;
        height: 200px;
        top: 0;
        left: 15px;
        right:15px;
        opacity: 1;
        transition: all 0.5s ease-out;
        text-align: center;
    }
}
.youtube {
    margin-bottom: 30px;
}



.mb-20{
    margin-bottom: 20px;
}
.mb-50{
    margin-bottom: 50px;
}

.no-gutters {
  margin-right: 0;
  margin-left: 0;

  > .col,
  > [class*="col-"] {
    padding-right: 0;
    padding-left: 0;
  }
}


